/****** ObentoDBgp ******/
USE [ObentoDB]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


/****** [U[i[[User]e[u쐬 ******/
CREATE TABLE [dbo].[User] (
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[DutyPerson] [bit] NOT NULL,
	CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED (
		[ID] ASC
	) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** ٓi[[Obento]e[u쐬 ******/
CREATE TABLE [dbo].[Obento] (
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](100) NOT NULL,
	[Description] [nvarchar](1000) NOT NULL,
	[Photo] [image] NULL,
	CONSTRAINT [PK_Obento] PRIMARY KEY CLUSTERED (
		[ID] ASC
	) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


/****** i[[Order]e[u쐬 ******/
CREATE TABLE [dbo].[Order] (
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[User_ID] [int] NOT NULL,
	[Obento_ID] [int] NOT NULL,
	[Date] [datetime] NOT NULL,
	CONSTRAINT [PK_Order] PRIMARY KEY CLUSTERED (
		[ID] ASC
	) ON [PRIMARY],
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Order]
	WITH CHECK ADD  CONSTRAINT [FK_Order_Obento] FOREIGN KEY([Obento_ID])
	REFERENCES [dbo].[Obento] ([ID])
GO

ALTER TABLE [dbo].[Order]
	CHECK CONSTRAINT [FK_Order_Obento]
GO

ALTER TABLE [dbo].[Order]
	WITH CHECK ADD  CONSTRAINT [FK_Order_User] FOREIGN KEY([User_ID])
	REFERENCES [dbo].[User] ([ID])
GO

ALTER TABLE [dbo].[Order]
	CHECK CONSTRAINT [FK_Order_User]
GO


/****** ٓ⃆[U[ƂƂɕ\[OrderList]r[쐬 ******/
CREATE VIEW [dbo].[OrderList]
AS
SELECT
	dbo.Obento.ID AS ObentoID,
	RTRIM(dbo.Obento.Name) AS ObentoName,
	RTRIM(dbo.[User].Name) AS UserName,
	dbo.[Order].Date AS OrderDate
FROM
	dbo.Obento
	INNER JOIN dbo.[Order] ON dbo.Obento.ID = dbo.[Order].Obento_ID
	INNER JOIN dbo.[User] ON dbo.[Order].User_ID = dbo.[User].ID

GO
